Subject: Re: bug#10178: 24.0.92; emacs -q frame too short for fancy splash image

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Dec 2011 18:47:37 +0200

>> On my system, image-height becomes 14.466666666666667, so frame-height
>> must be larger than 33.4666....
>> 34 should fit.  Is image-size something else on your system?
>
> Yes, 15.5 (image-size returns (38.57142857142857 . 15.5)), which means
> the decremented frame-height should be > 34.5, so 34 is too small.  This
> is with the font
> -unknown-DejaVu Sans Mono-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1,
> which I've been using since well before the fancy splash image started
> failing to be displayed.

I see no changes in image size calculations between versions 23 and 24.

With -misc-fixed-medium-r-normal--10-100-75-75-c-60-iso8859-1
in Emacs 23.1:

  (image-size (create-image "splash.xpm"))
  => (45.0 . 21.7)

In Emacs 24.0.92:

  (image-size (create-image "splash.xpm"))
  => (45.0 . 21.7)